/****************************************************************************
** Generated QML type registration code
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#include <QtQml/qqml.h>
#include <QtQml/qqmlmoduleregistration.h>

#if __has_include(<private/qt3dquick3dextrasforeign_p.h>)
#  include <private/qt3dquick3dextrasforeign_p.h>
#endif
#if __has_include(<private/quick3dlevelofdetailloader_p.h>)
#  include <private/quick3dlevelofdetailloader_p.h>
#endif
#if __has_include(<private/quick3dspritesheet_p.h>)
#  include <private/quick3dspritesheet_p.h>
#endif


#if !defined(QT_STATIC)
#define Q_QMLTYPE_EXPORT Q_DECL_EXPORT
#else
#define Q_QMLTYPE_EXPORT
#endif
Q_QMLTYPE_EXPORT void qml_register_types_Qt3D_Extras()
{
    qmlRegisterModule("Qt3D.Extras", 2, 0);
    qmlRegisterModule("Qt3D.Extras", 2, 254);
    qmlRegisterModule("Qt3D.Extras", 6, 0);
    QT_WARNING_PUSH QT_WARNING_DISABLE_DEPRECATED
    qmlRegisterTypesAndRevisions<QConeGeometryForeign>("Qt3D.Extras", 6);
    QMetaType::fromType<QConeGeometryForeign *>().id();
    qmlRegisterTypesAndRevisions<QConeGeometryViewForeign>("Qt3D.Extras", 6);
    QMetaType::fromType<QConeGeometryViewForeign *>().id();
    qmlRegisterTypesAndRevisions<QConeMeshForeign>("Qt3D.Extras", 6);
    QMetaType::fromType<QConeMeshForeign *>().id();
    qmlRegisterTypesAndRevisions<QCuboidGeometryForeign>("Qt3D.Extras", 6);
    QMetaType::fromType<QCuboidGeometryForeign *>().id();
    qmlRegisterTypesAndRevisions<QCuboidGeometryViewForeign>("Qt3D.Extras", 6);
    QMetaType::fromType<QCuboidGeometryViewForeign *>().id();
    qmlRegisterTypesAndRevisions<QCuboidMeshForeign>("Qt3D.Extras", 6);
    QMetaType::fromType<QCuboidMeshForeign *>().id();
    qmlRegisterTypesAndRevisions<QCylinderGeometryForeign>("Qt3D.Extras", 6);
    QMetaType::fromType<QCylinderGeometryForeign *>().id();
    qmlRegisterTypesAndRevisions<QCylinderGeometryViewForeign>("Qt3D.Extras", 6);
    QMetaType::fromType<QCylinderGeometryViewForeign *>().id();
    qmlRegisterTypesAndRevisions<QCylinderMeshForeign>("Qt3D.Extras", 6);
    QMetaType::fromType<QCylinderMeshForeign *>().id();
    qmlRegisterTypesAndRevisions<QDiffuseMapMaterialForeign>("Qt3D.Extras", 6);
    QMetaType::fromType<QDiffuseMapMaterialForeign *>().id();
    qmlRegisterTypesAndRevisions<QDiffuseSpecularMapMaterialForeign>("Qt3D.Extras", 6);
    QMetaType::fromType<QDiffuseSpecularMapMaterialForeign *>().id();
    qmlRegisterTypesAndRevisions<QDiffuseSpecularMaterialForeign>("Qt3D.Extras", 6);
    QMetaType::fromType<QDiffuseSpecularMaterialForeign *>().id();
    qmlRegisterTypesAndRevisions<QExtrudedTextGeometryForeign>("Qt3D.Extras", 6);
    QMetaType::fromType<QExtrudedTextGeometryForeign *>().id();
    qmlRegisterTypesAndRevisions<QExtrudedTextMeshForeign>("Qt3D.Extras", 6);
    QMetaType::fromType<QExtrudedTextMeshForeign *>().id();
    qmlRegisterTypesAndRevisions<QFirstPersonCameraControllerForeign>("Qt3D.Extras", 6);
    QMetaType::fromType<QFirstPersonCameraControllerForeign *>().id();
    qmlRegisterTypesAndRevisions<QForwardRendererForeign>("Qt3D.Extras", 6);
    QMetaType::fromType<QForwardRendererForeign *>().id();
    qmlRegisterTypesAndRevisions<QGoochMaterialForeign>("Qt3D.Extras", 6);
    QMetaType::fromType<QGoochMaterialForeign *>().id();
    qmlRegisterTypesAndRevisions<QMetalRoughMaterialForeign>("Qt3D.Extras", 6);
    QMetaType::fromType<QMetalRoughMaterialForeign *>().id();
    qmlRegisterTypesAndRevisions<QNormalDiffuseMapAlphaMaterialForeign>("Qt3D.Extras", 6);
    QMetaType::fromType<QNormalDiffuseMapAlphaMaterialForeign *>().id();
    qmlRegisterTypesAndRevisions<QNormalDiffuseMapMaterialForeign>("Qt3D.Extras", 6);
    QMetaType::fromType<QNormalDiffuseMapMaterialForeign *>().id();
    qmlRegisterTypesAndRevisions<QNormalDiffuseSpecularMapMaterialForeign>("Qt3D.Extras", 6);
    QMetaType::fromType<QNormalDiffuseSpecularMapMaterialForeign *>().id();
    qmlRegisterTypesAndRevisions<QOrbitCameraControllerForeign>("Qt3D.Extras", 6);
    QMetaType::fromType<QOrbitCameraControllerForeign *>().id();
    qmlRegisterTypesAndRevisions<QPerVertexColorMaterialForeign>("Qt3D.Extras", 6);
    QMetaType::fromType<QPerVertexColorMaterialForeign *>().id();
    qmlRegisterTypesAndRevisions<QPhongAlphaMaterialForeign>("Qt3D.Extras", 6);
    QMetaType::fromType<QPhongAlphaMaterialForeign *>().id();
    qmlRegisterTypesAndRevisions<QPhongMaterialForeign>("Qt3D.Extras", 6);
    QMetaType::fromType<QPhongMaterialForeign *>().id();
    qmlRegisterTypesAndRevisions<QPlaneGeometryForeign>("Qt3D.Extras", 6);
    QMetaType::fromType<QPlaneGeometryForeign *>().id();
    qmlRegisterTypesAndRevisions<QPlaneGeometryViewForeign>("Qt3D.Extras", 6);
    QMetaType::fromType<QPlaneGeometryViewForeign *>().id();
    qmlRegisterTypesAndRevisions<QPlaneMeshForeign>("Qt3D.Extras", 6);
    QMetaType::fromType<QPlaneMeshForeign *>().id();
    qmlRegisterTypesAndRevisions<QSkyboxEntityForeign>("Qt3D.Extras", 6);
    QMetaType::fromType<QSkyboxEntityForeign *>().id();
    qmlRegisterTypesAndRevisions<QSphereGeometryForeign>("Qt3D.Extras", 6);
    QMetaType::fromType<QSphereGeometryForeign *>().id();
    qmlRegisterTypesAndRevisions<QSphereGeometryViewForeign>("Qt3D.Extras", 6);
    QMetaType::fromType<QSphereGeometryViewForeign *>().id();
    qmlRegisterTypesAndRevisions<QSphereMeshForeign>("Qt3D.Extras", 6);
    QMetaType::fromType<QSphereMeshForeign *>().id();
    qmlRegisterTypesAndRevisions<QSpriteGridForeign>("Qt3D.Extras", 6);
    QMetaType::fromType<QSpriteGridForeign *>().id();
    qmlRegisterTypesAndRevisions<QSpriteItemForeign>("Qt3D.Extras", 6);
    QMetaType::fromType<QSpriteItemForeign *>().id();
    qmlRegisterTypesAndRevisions<QText2DEntityForeign>("Qt3D.Extras", 6);
    QMetaType::fromType<QText2DEntityForeign *>().id();
    qmlRegisterTypesAndRevisions<QTextureMaterialForeign>("Qt3D.Extras", 6);
    QMetaType::fromType<QTextureMaterialForeign *>().id();
    qmlRegisterTypesAndRevisions<QTorusGeometryForeign>("Qt3D.Extras", 6);
    QMetaType::fromType<QTorusGeometryForeign *>().id();
    qmlRegisterTypesAndRevisions<QTorusGeometryViewForeign>("Qt3D.Extras", 6);
    QMetaType::fromType<QTorusGeometryViewForeign *>().id();
    qmlRegisterTypesAndRevisions<QTorusMeshForeign>("Qt3D.Extras", 6);
    QMetaType::fromType<QTorusMeshForeign *>().id();
    qmlRegisterTypesAndRevisions<Qt3DExtras::Extras::Quick::QSpriteSheetForeign>("Qt3D.Extras", 6);
    QMetaType::fromType<Qt3DExtras::Extras::Quick::QSpriteSheetForeign *>().id();
    qmlRegisterTypesAndRevisions<Qt3DExtras::Extras::Quick::Quick3DLevelOfDetailLoader>("Qt3D.Extras", 6);
    QMetaType::fromType<Qt3DExtras::Extras::Quick::Quick3DSpriteSheet *>().id();
    QMetaType::fromType<Qt3DExtras::QAbstractCameraController *>().id();
    QMetaType::fromType<Qt3DExtras::QAbstractSpriteSheet *>().id();
    QMetaType::fromType<Qt3DRender::QFrameGraphNode *>().id();
    QMetaType::fromType<Qt3DRender::QGeometryRenderer *>().id();
    qmlRegisterEnum<Qt3DRender::QGeometryRenderer::PrimitiveType>("Qt3DRender::QGeometryRenderer::PrimitiveType");
    QMetaType::fromType<Qt3DRender::QMaterial *>().id();
    QMetaType::fromType<Qt3DRender::QTechniqueFilter *>().id();
    QT_WARNING_POP
    qmlRegisterModule("Qt3D.Extras", 6, 12);
}

static const QQmlModuleRegistration qt3DExtrasRegistration("Qt3D.Extras", qml_register_types_Qt3D_Extras);
